===This image was built out of commit:
commit 4a9d6ed9d642b0b4aca28ca627023d6ae0aabcf6
Author: Megha Dey <megha.dey@linux.intel.com>
Date:   Fri Apr 6 17:44:47 2018 -0700

    luv: Update luv.pstore-test parameter
    
    In commit 54fec90("luv-test-manager: Add a signature flag to indicate
    the reboot tests ..), we have:
    
    	if echo $reboot_string | grep -q $r; then
    
    When reboot tests are configured, the above condition will be true only
    if the reboot test parameter(currently only luv.pstore-test) contains
    the name of the test i.e pstore-tests.
    
    Thus, updating the parameter to luv.pstore-tests.
    
    Signed-off-by: Megha Dey <megha.dey@linux.intel.com>

diff --git a/meta-luv/README b/meta-luv/README
index e69930e..e6fc155 100644
--- a/meta-luv/README
+++ b/meta-luv/README
@@ -253,7 +253,7 @@ to alter the default behaviour of LUV.
     we have to prepare everything in case there is a kernel crash in the
     future. Unlike the other LUV boot parameters, this one is not intended
     to be used directly.
-  luv.pstore-test
+  luv.pstore-tests
     This kernel parameter will enable the pstore_crash_test test of the
     pstore-test suite. This test will cause a reboot post which the
     pstore_post_reboot_tests would run. Without this parameter, only the
diff --git a/meta-luv/recipes-core/luv-test/luv-test/luv-crash-handler b/meta-luv/recipes-core/luv-test/luv-test/luv-crash-handler
index a096874..967ae01 100644
--- a/meta-luv/recipes-core/luv-test/luv-test/luv-crash-handler
+++ b/meta-luv/recipes-core/luv-test/luv-test/luv-crash-handler
@@ -13,8 +13,8 @@
 
 . luv-message
 
-CURRENT_CMDLINE=`cat /proc/cmdline | sed -e 's/\<luv.pstore-test\>//g'`
-if grep -q luv.pstore-test /proc/cmdline; then
+CURRENT_CMDLINE=`cat /proc/cmdline | sed -e 's/\<luv.pstore-tests\>//g'`
+if grep -q luv.pstore-tests /proc/cmdline; then
     KEXEC_APPEND="${CURRENT_CMDLINE}"
 else
     KEXEC_APPEND="${CURRENT_CMDLINE} noluv systemd.unit=graphical.target irqpoll maxcpus=1 reset_devices luv.crash"
diff --git a/meta-luv/recipes-core/pstore-test/pstore-test/pstore-test-runner b/meta-luv/recipes-core/pstore-test/pstore-test/pstore-test-runner
index 43e7bc0..4bc34df 100644
--- a/meta-luv/recipes-core/pstore-test/pstore-test/pstore-test-runner
+++ b/meta-luv/recipes-core/pstore-test/pstore-test/pstore-test-runner
@@ -6,7 +6,7 @@
 echo "Kernel pstore tests"
 
 cd /usr/share/pstore-test/
-if grep -q luv.pstore-test /proc/cmdline; then
+if grep -q luv.pstore-tests /proc/cmdline; then
        ./pstore_tests
        ./pstore_crash_test
 else
